# GetOrder

### Description

Gets the details of an order.

```csharp
DataRowCollection GetOrder (string webServiceUrl, 
                            string orderID, 
                            out string response)
```

### Parameters

| Parameter     |  Type  | Description                                     |
| ------------- | :----: | ----------------------------------------------- |
| webServiceUrl | string | URL to the QLM License Server                   |
| orderID       | string | ID of the order                                 |
| response      | string | XML fragment containing the result of the call. |

### Response XML format

```xml
<?xml version='1.0' encoding='UTF-8'?>
<QuickLicenseManager>
<result>Order retrieved  successfully.</result>
</QuickLicenseManager>	
```

### Error Response example

```xml
<?xml version='1.0' encoding='UTF-8'?>
<QuickLicenseManager>
<error>The order id is not valid</error>
</QuickLicenseManager>
```

### Return

| Type              | Description                                                           |
| ----------------- | --------------------------------------------------------------------- |
| DataRowCollection | DataRowCollection containing all the data associated with this order. |

### Example

```csharp
QlmLicense license = new QlmLicense ();
license.DefineProduct(1, "Demo", 1, 0, "DemoKey", "{24EAA3C1-3DD7-40E0-AEA3-D20AA17A6005}");
string response = string.Empty;
DataRowCollection drc = license.GetOrder ("https://qlm3.net/qlmdemo/qlmLicenseServer/qlmservice.asmx", 1234, out response);
if (drc != null)
{
   foreach (DataRow dr in drc)
   {
               string activationKey = dr["ActivationKey"];
   }
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/application-methods/getorder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
